
if object_id('dbo.f_caracterisiticasEquipoPrestado') is null
begin 
	execute('
		create function [dbo].[f_caracterisiticasEquipoPrestado]
			(@p_id_equipo as int, @p_id_prestamo as int)
		returns varchar (max)
		as
		begin
			declare @retorno as varchar(max)
			set @retorno=(
				select top 1 CONCAT(''Se encuentra prestado en: '', equ_prestamo_prestamo,  CHAR(13) , 
					''Codigo prestamo: '', equ_prestamo_prestamo_codigo)
				from view_equ_prestamo_equipo inner join equ_trazabilidad 
				on view_equ_prestamo_equipo.id_prestamo = equ_trazabilidad.id_prestamo and 
				   view_equ_prestamo_equipo.id_equipo = equ_trazabilidad.id_equipo
				where view_equ_prestamo_equipo.id_equipo = @p_id_equipo and 
					  (view_equ_prestamo_equipo.id_prestamo <> @p_id_prestamo and 
					  view_equ_prestamo_equipo.id_prestamo > 0) and 
		  			  fechaDevolucion_ff = 0 and 
			  		  view_equ_prestamo_equipo.active = 1 and 
				  	  equ_trazabilidad.fecha_ff > 0 and 
					  equ_trazabilidad.active = 1
				order by view_equ_prestamo_equipo.fechaModificacion desc
			)
			set @retorno= isnull(@retorno, ''Disponible'')
			return @retorno
		end
	')
end
